
Dashboard - Bug #43765

mgr/dashboard: Dashboard breaks on the selection of a bad pool

01/23/2020 01:34 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: Component - Pools   

Target version: v16.0.0   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: octopus nautilus Pull request ID: 32829

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

If a pool is created with a wrong rule that is oversized for the cluster it gets into the "creating+incomplete" state.

This wont break the dashboard yet, but when clicking on the pool to get it's details every API request will be left unanswerd. The first

unanswered call is "/api/pool/$badPool/configuration".

To reproduce this you can create an erasure code profile with a greater value for k than you have OSDs.

Related issues:

Related to rbd - Bug #43771: pybind/rbd: config_list hangs if given an pool w... Rejected

Related to Dashboard - Bug #44224: mgr/dashboard: Timeouts for rbd.py calls New

Copied to Dashboard - Backport #45557: octopus: mgr/dashboard: Dashboard brea... Resolved

Copied to Dashboard - Backport #45558: nautilus: mgr/dashboard: Dashboard bre... Resolved

History

#1 - 01/23/2020 04:53 PM - Stephan Müller

- Related to Bug #43771: pybind/rbd: config_list hangs if given an pool with a bad pg state added

#2 - 01/24/2020 03:44 PM - Stephan Müller

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 32829

#3 - 01/30/2020 02:14 PM - Stephan Müller

- Backport set to nautilus

#4 - 02/20/2020 10:15 AM - Stephan Müller

- Related to Bug #44224: mgr/dashboard: Timeouts for rbd.py calls added

#5 - 05/11/2020 04:56 PM - Alfonso Martínez

- Backport changed from nautilus to octopus nautilus

#6 - 05/14/2020 04:13 PM - Lenz Grimmer

- Status changed from Fix Under Review to Pending Backport

- Target version set to v16.0.0

#7 - 05/14/2020 07:29 PM - Nathan Cutler
- Copied to Backport #45557: octopus: mgr/dashboard: Dashboard breaks on the selection of a bad pool added

#8 - 05/14/2020 07:29 PM - Nathan Cutler

- Copied to Backport #45558: nautilus: mgr/dashboard: Dashboard breaks on the selection of a bad pool added

#9 - 07/03/2020 07:46 AM - Lenz Grimmer

- Status changed from Pending Backport to Resolved

#10 - 04/15/2021 05:22 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 137 to Component - Pools
